<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
require_once _PS_MODULE_DIR_ . 'prestashopgatewaypayphone/lib/common/PayPhoneWebExceptionPpb.php';
require_once _PS_MODULE_DIR_ . 'prestashopgatewaypayphone/lib/models/request/ConfirmSaleRequestModelPpb.php';
require_once _PS_MODULE_DIR_ . 'prestashopgatewaypayphone/lib/models/request/PrepareSaleRequestModelPpb.php';
require_once _PS_MODULE_DIR_ . 'prestashopgatewaypayphone/lib/models/response/PrepareSaleModelPpb.php';
require_once _PS_MODULE_DIR_ . 'prestashopgatewaypayphone/lib/models/response/SaleGetResponseModelPpb.php';

class PayphoneButtonPpb
{

    /**
     * Establishes the transaction
     * @param \PrepareSaleRequestModelPpb 
     * @return \PrepareSaleModelPpb
     * @throws \PayPhoneWebExceptionPpb
     */
    public function Prepare($model)
    {

        try {
            $uri = 'api/button/Prepare';
            $json = json_encode($model);
            $response = $this->post_call($uri, $json);
            return $response;
        } catch (PayPhoneWebExceptionPpb $exc) {
            throw $exc;
        } catch (Exception $exc) {
            throw $this->ThrowException();
        }
    }

    /**
     * 
     * @param int $id
     * @return \SaleGetResponseModelPpb
     * @throws \PayPhoneWebExceptionPpb
     */
    public function Confirm($id)
    {

        try {

            $uri = 'api/button/Confirm';
            $model = new ConfirmSaleRequestModelPpb();
            $model->id = $id;
            $json = json_encode($model);
            $response = $this->post_call($uri, $json);
            return $response;
        } catch (PayPhoneWebExceptionPpb $exc) {
            throw $exc;
        } catch (Exception $exc) {
            var_dump($exc);
            throw $this->ThrowException();
        }
    }

    /**
     * 
     * @param string $clientId
     * @return \SaleGetResponseModelPpb
     * @throws \PayPhoneWebExceptionPpb
     */
    public function GetSaleByClientId($clientId)
    {
        try {
            $uri = '/api/Sale/client/' . $clientId;
            $response = $this->get_call($uri);
            return $response;
        } catch (PayPhoneWebExceptionPpb $exc) {
            throw $exc;
        } catch (Exception $exc) {
            throw $this->ThrowException($exc);
        }
    }

    private function post_call($uri, $post_data, $content_type = "application/json")
    {

        $config = ConfigurationManagerPpb::Instance();
        $curl = curl_init($config->ApiPath . $uri);
        $headers = array();
        $headers[] = 'Authorization: Bearer ' . $config->Token;
        $headers[] = 'Content-Type: ' . $content_type;
        $headers[] = 'X-Client-Ecommerce: 8';
        /*if (!empty($config->Lang))
            $headers[] = 'Accept-Language: ' . $config->Lang;*/
        curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);
        curl_setopt($curl, CURLOPT_HEADER, 0);
        curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
        curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, false);

        curl_setopt($curl, CURLOPT_POST, 1);
        curl_setopt($curl, CURLOPT_POSTFIELDS, $post_data);

        $curl_response = curl_exec($curl);

        $info = curl_getinfo($curl);
        curl_close($curl);

        $errors = array();
        switch ($info['http_code']) {
            case 200:
                return json_decode($curl_response);
            case 0:
                $temp = new ErrorResponseModelPpb();
                $temp->message = 'Lo sentimos por favor verifique su internet o cadena de conexi&oacute;n.';
                $errors[] = $temp;
                throw new PayPhoneWebExceptionPpb(null, $info['http_code'], $errors);
            default:
                $errors = json_decode($curl_response);
                if (!is_array($errors)) {
                    $temp = $errors;
                    $errors = array();
                    $errors[] = $temp;
                }
                throw new PayPhoneWebExceptionPpb(null, $info['http_code'], $errors);
        }
    }

    private function get_call($uri)
    {
        $config = ConfigurationManagerPpb::Instance();
        $curl = curl_init($config->ApiPath . $uri);
        $headers = array();
        $headers[] = 'Authorization: Bearer ' . $config->Token;
        $headers[] = 'Content-Type: application/json';
        /*if (!empty($config->Lang))
            $headers[] = 'Accept-Language: ' . $config->Lang;*/
        curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);
        curl_setopt($curl, CURLOPT_HEADER, 0);
        curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
        curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, false);

        $curl_response = curl_exec($curl);

        $info = curl_getinfo($curl);
        curl_close($curl);

        $errors = array();
        switch ($info['http_code']) {
            case 200:
                return json_decode($curl_response);
            case 0:
                $temp = new ErrorResponseModelPpb();
                $temp->message = 'Lo sentimos por favor verifique su internet o cadena de conexi&oacute;n.';
                $errors[] = $temp;
                throw new PayPhoneWebExceptionPpb(null, $info['http_code'], $errors);
            default:
                $errors = json_decode($curl_response);
                if (!is_array($errors)) {
                    $temp = $errors;
                    $errors = array();
                    $errors[] = $temp;
                }
                throw new PayPhoneWebExceptionPpb(null, $info['http_code'], $errors);
        }
    }

    /**
     * Transforms a generic exception to the exception delivered by PayPhone
     * @param Exception $e
     * @return \PayPhoneWebExceptionPpb
     */
    private function ThrowException(Exception $e)
    {
        $errors = array();

        $error = new ErrorResponseModelPpb();
        $error->message = $e->Message;
        $errors[] = $error;
        return new PayPhoneWebExceptionPpb(null, "500", $errors);
    }

}
