{** * Template Name: Pagina Virtual del resultado de la transaccion de Payphone *}
<section id="{$moduleName}-payphone-order-template">
  <div {if ($hook_display_option == 1)} class="ppbo-order"{/if}
  {if ($hook_display_option == 2)} class="ps-pbb-has-background ppbo-order"{/if}
  {if ($hook_display_option == 3)} class="ppbo-order ps-pbb-has-background ps-pbb-has-border"{/if}>
    <div class="ps-pbb-header">
        <a href="https://www.payphone.app/" target="_blank" style="display: inline-block">
          <img
            class="logo-ppb"
            src="{$module_dir}/prestashopgatewaypayphone/views/images/payphone.svg"
            alt="logo Payphone"
          />
        </a>
        <h1 class="ps-pbb-d-inline-flex">{$store_name}</h1>
    </div>
    <div class="ps-pbb-order-info" style="background-color: {$color}">
      <div>
        <span style="text-transform: uppercase"> {l s='Pay' mod='prestashopgatewaypayphone'}</span>: {$status_label}
      </div>
      <div>
        <span style="text-transform: uppercase"> {l s='Order' mod='prestashopgatewaypayphone'} </span>#
        {$order_reference}
      </div>
    </div>
    <div class="ps-pbb-order-client">
      <div>
        <div>{l s='Date' mod='prestashopgatewaypayphone'}: {$date_add}</div>
        <div style="text-transform: capitalize">{l s='Client' mod='prestashopgatewaypayphone'}: {$client_names}</div>
      </div>
      <div>
        <div>{l s='Authorization' mod='prestashopgatewaypayphone'}: {$authorization_code}</div>
        {if !($phone_number)}<div>{l s='Email' mod='prestashopgatewaypayphone'}: {$email}</div>{/if}
        {if ($phone_number)}<div>{l s='Phone' mod='prestashopgatewaypayphone'}: {$phone_number}</div>{/if}
      </div>
      <div style="justify-content: end !important">
        {if ($phone_number)}<div>{l s='Email' mod='prestashopgatewaypayphone'}: {$email}</div>{/if}
      </div>
    </div>
    <table
      class="ps-pbb-products">
      <thead>
        <tr class="ps-pbb-thead-tr">
          <th style="padding-left: 16px !important">{l s='Description' mod='prestashopgatewaypayphone'}</th>
          <th style="width: 100px">{l s='Quant' mod='prestashopgatewaypayphone'}</th>
          <th style="width: 100px">{l s='Unit Price' mod='prestashopgatewaypayphone'}</th>
          <th style="text-align: right; width: 120px; padding-right: 16px !important">
            {l s='Total' mod='prestashopgatewaypayphone'}
          </th>
        </tr>
      </thead>
      <tbody>
        {foreach from=$items key=index item=product}
        <tr class="ps-pbb-items ps-pbb-tbody-tr">
          <td style="padding-left: 16px !important">{$product.productName}</td>
          <td>{$product.quantity}</td>
          <td>{$currency} {sprintf('%.2f', $product.totalAmount / ($product.quantity * 100))}</td>
          <td style="text-align: right; padding-right: 16px !important">
            {$currency} {sprintf('%.2f', $product.totalAmount / (100))}
          </td>
        </tr>
        {/foreach}
        <tr class="ps-pbb-tbody-tr">
          <td></td>
          <td class="ps-pbb-totals" colspan="2">{l s='Subtotal' mod='prestashopgatewaypayphone'}</td>
          <td class="ps-pbb-totals" style="text-align: right; padding-right: 16px !important">
            {$currency} {sprintf('%.2f', $sub_total)}
          </td>
        </tr>
        {if ($shipping)}
        <tr class="ps-pbb-tbody-tr">
          <td></td>
          <td class="ps-pbb-totals" colspan="2">{l s='Shipping' mod='prestashopgatewaypayphone'}</td>
          <td class="ps-pbb-totals" style="text-align: right; padding-right: 16px !important">
            {$currency} {sprintf('%.2f', $shipping)}
          </td>
        </tr>
        {/if}
        <tr class="ps-pbb-tbody-tr">
          <td></td>
          <td class="ps-pbb-totals" colspan="2">{l s='Total value' mod='prestashopgatewaypayphone'}</td>
          <td class="ps-pbb-totals" style="text-align: right; padding-right: 16px !important">
            {$currency} {sprintf('%.2f', $amount / (100))}
          </td>
        </tr>
      </tbody>
    </table>
    <div class="ps-pbb-payment-title">{l s='Detail Payment' mod='prestashopgatewaypayphone'}</div>
    <div class="ps-pbb-payment-info">
      {if ($card_bran)}
      <div>
        <div>{l s='Payment Method' mod='prestashopgatewaypayphone'}: {$card_bran}</div>
      </div>
      {/if} {if ($deferred_message)}
      <div>
        <div>{l s='Deferred' mod='prestashopgatewaypayphone'}: {$deferred_message}</div>
      </div>
      {/if}
      {if ($transaction_id)}
      <div>
        <div>{l s='Transaction number' mod='prestashopgatewaypayphone'}: {$transaction_id}</div>
      </div>
      {/if} {if ($client_pay_names)}
      <div style="text-transform: capitalize">
        <div>{l s='Names' mod='prestashopgatewaypayphone'}: {$client_pay_names}</div>
      </div>
      {/if} {if !($client_pay_names) && ($card_bran)}
      <div>
        <div>{l s='Client' mod='prestashopgatewaypayphone'}: {$client_pay_phone_number}</div>
      </div>
      {/if}
      <div>
        <div>{l s='Reference' mod='prestashopgatewaypayphone'}: {$reference}</div>
      </div>
    </div>
    <div class="ps-pbb-footer" style="margin-bottom: 20px !important">
      <div class="ps-pbb-d-flex ps-pbb-justify-content-center">
        <p class="label-processed">
          {l s='This payment is being processed by Payphone, a provider of Grupo Promerica.'
          mod='prestashopgatewaypayphone'}
        </p>
      </div>
      <div class="ps-pbb-d-flex ps-pbb-justify-content-center">
        <div>
          <img
            class="logos-processed"
            src="{$module_dir}/prestashopgatewaypayphone/views/images/processed.svg"
            alt="Processed Payphone"
          />
        </div>
      </div>
    </div>
  </div>
</section>
<head>
  <link rel="stylesheet" href="{$css}" />
</head>
